function [zemepisna_sirka_export] =	Vykresleni_trasy_gam	(GPS,matg,azimut_smeru,data_akcel)
t = (1/6); 
rho =ones(size(GPS,1),1);
gps_rad_azim =  (GPS(:,7)/180)*pi;
[y1,x1] = pol2cart(gps_rad_azim,rho);           %kurz z GPS preveden na x,y
rych = GPS(:,6);                         %prevod na rychlosti na m/s
s=rych.*(t*0.514);
x1=x1.*s;
y1=y1.*s;

%%-----------------------------------------Draha-------------------

t = (1);                              %cas pro integraci
korek= 1/8192;                          %korekce pro prevod na zrychleni g z prevodniku
korek_x = (228.9-3.55)/1800;            %korekce pomocne
korek_y = 29.9875/1900;                  %korekce pomocne

d=1;                                                     %prevod na v [m], vynasobeni casem na druhou, 5vektor 2t na druhou
while d < size(data_akcel,1)+1
    
     draha_vect(d,:)=data_akcel(d,:).*(((t))*9.81275);
d=d+1;

end

%%---------------------------------------------------------kompenzace x
d=1;
e=1;
while e < 101                                           %konkretni korekce pro osu x na zaklade smernice primky (na zacatku stojime a na konci mereni stojime)
     draha_vect(e,1)=draha_vect(e,1) +  (3.55/100);   
     d=d+1;
     e=e+1;
end

while e < 1901
     draha_vect(e,1)=draha_vect(e,1) +  korek_x;   
     d=d+1;
     e=e+1;
end

while e < size(data_akcel,1)+1
     draha_vect(e,1)=draha_vect(e,1) + 10.895/85;   
     d=d+1;
     e=e+1;
end
%%---------------------------------------------------------kompenzace y
d=1;
while d < size(data_akcel,1)+1 -85
     draha_vect(d,2)=draha_vect(d,2) -  korek_y;   
    d=d+1;
end
while d < size(data_akcel,1)+1
     draha_vect(d,2)=draha_vect(d,2) + 0;   
    d=d+1;
end

%%---------------------------------------------------------


d=1;                                                     %prevod na s [m], vynasobeni casem na druhou, 5vektor 2t na druhou
while d < size(data_akcel,1)+1
      
     draha_vect(d,:)=draha_vect(d,:).*(t);
d=d+1;

end
%%---------------------------------end draha---------------------------


rho =ones(size(azimut_smeru,1),1);                                  
[datam(:,1),datam(:,2)] = pol2cart(azimut_smeru(:,1),rho);              %prevod z polarnich na kartezke souradnice       

b=size(matg,1);
d=1;
e=1;
a=1;

while d<b+1
c=1;
    matgam = zeros;
    matgam(c,1)=matg(d,2);                                      %poloha z GPS
    matgam(c,2)=matg(d,1);

    matgam1(a,1)=matg(d,2);
    matgam1(a,2)=matg(d,1);
c=c+1;
    matgam(c,1)=x1(d,1);                                       % pricitani vektoru z GPS
    matgam(c,2)=y1(d,1);
a=a+1;
    matgam1(a,:)=sum (matgam,1);
c=c+1;
a=a+1;
    while c < 8                                              % pricitani 5 vektoru z IMU
        draha_skalar(e,1)   = sqrt(draha_vect(e,1)^2+draha_vect(e,2)^2);        %velikost drahy
        matgam(c,1)=datam(e,1).*draha_skalar(e,1);
        matgam(c,2)=datam(e,2).*draha_skalar(e,1);

        matgam1(a,:)=sum(matgam,1);
    a=a+1;
    c=c+1;
    e=e+1;
    end
d=d+1;
end



figure(8);                                         %Zobrazuje se do grafu Vykresleni_GPS_m.m

plot (matgam1(:,1),matgam1(:,2),'ro-','LineWidth',2);
hold off;

b= size(matgam1,1);
c=1;
     while c < b        
        matg1(c,1)=matgam1(c+1,1)- matgam1(c,1);    % rozdil hodnot
        matg1(c,2)=matgam1(c+1,2)- matgam1(c,2);     
        matg2(c ,:)=sum(matg1,1);                   %scitani vektoru za sebe
        c=c+1;
     end
figure(9);                                         %Zobrazuje se do grafu Vykresleni_GPS_m.m

plot (matg2(:,1),matg2(:,2),'ro-','LineWidth',2);
hold off;

zemepisna_sirka_export(:,1) = matgam1(:,2)./50550.8;
zemepisna_delka_export(:,2) = matgam1(:,1)./111132.95;


end